﻿using EJGrid.Models;
using Microsoft.OData.Core.UriParser;
using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Net;
using System.Threading.Tasks;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.OData;
using System.Web.OData.Query;
namespace EJGrid.Controllers
{
    public class EmployeesController : ODataController
    {
        // GET: Orders
        NORTHWNDEntities db = new NORTHWNDEntities();
        [EnableQuery]
        public IQueryable<EmployeeTerritory> Get()
        {
            return db.EmployeeTerritories;
        }
        // PUT odata/Orders(5)
        public async Task<EmployeeTerritory> Put(int key, EmployeeTerritory emp) //Edit operation in database
        {

            var entity = await db.Orders.FindAsync(emp.EmployeeID);
            db.Entry(entity).CurrentValues.SetValues(emp);
            await db.SaveChangesAsync();
            return emp;
        }
        //// POST odata/Orders
        public async Task<EmployeeTerritory> Post(EmployeeTerritory emp) //Add Operation in database
        {

            db.EmployeeTerritories.Add(emp);
            await db.SaveChangesAsync();
            return emp;
        }


        //// DELETE odata/Orders(5)
        public async Task<IHttpActionResult> Delete([FromODataUri] int key)
        {

            var od = await db.EmployeeTerritories.FindAsync(key);
            if (od == null)
            {
                return NotFound();
            }

            db.EmployeeTerritories.Remove(od);
            await db.SaveChangesAsync();
            return StatusCode(HttpStatusCode.NoContent);
        }
    }
}
